#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int EX_PUTC24(int c)
/* 拡張属性 半角(12*24)／全角(24*24)１文字表示 */
{
_FNTBUF fnt;
	if (c<' ') { /* コントロールコード */
		if (c=='\n') B_PUTC(c); /* 改行だけは２回行なわせる */
		return(B_PUTC(c));
	}
	if (fontsetc(c,12,&fnt)) return(FONTPUT(&fnt));
	return(-1); /* ２バイトコードが完成していない時 */
}
